/**
 * Copyright (c) 2023 Netmera Research.
 * @author Initial Code
 */

#import "FNetmeraCouponFilter.h"

@implementation FNetmeraCouponFilter

+(NetmeraCouponFilter*) getCouponFilter: (FlutterMethodCall*) call {
    NetmeraCouponFilter *filter = [[NetmeraCouponFilter alloc] init];
    NSDictionary* couponDictionary = call.arguments;
    
    if(couponDictionary[@"page"]){
        filter.page = [couponDictionary[@"page"] intValue];
    }
    
    if(couponDictionary[@"max"]){
        filter.max = [couponDictionary[@"max"] intValue];
    }
    
    return filter;
}

@end

