
///
/// Copyright (c) 2023 Inomera Research.
/// Author Initial Code
///
class NetmeraCouponDetail {
  String? _couponId;
  String? _name;
  String? _code;
  String? _assignDate;
  String? _expireDate;

  String? getCouponId() => _couponId;

  setCouponId(String value) {
    _couponId = value;
  }

  String? getName() => _name;

  setName(String value) {
    _name = value;
  }

  String? getCode() => _code;

  setCode(String value) {
    _code = value;
  }

  String? getAssignDate() => _assignDate;

  setAssignDate(String value) {
    _assignDate = value;
  }

  String? getExpireDate() => _expireDate;

  setExpireDate(String value) {
    _expireDate = value;
  }

  static fromJson(Map<dynamic, dynamic> json) {
    NetmeraCouponDetail couponDetail = new NetmeraCouponDetail();
    couponDetail._couponId = json['couponId'];
    couponDetail._name = json['name'];
    couponDetail._code = json['code'];
    couponDetail._assignDate = json['assignDate'].toString();
    couponDetail._expireDate = json['expireDate'].toString();

    return couponDetail;
  }

  Map<String, dynamic> toJson() => {
        'couponId': _couponId,
        'name': _name,
        'code': _code,
        'assignDate': _assignDate,
        'expireDate': _expireDate,
      };
}
