package com.netmera.netmera_flutter_sdk;

import com.netmera.data.NMCouponDetail;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Copyright (c) 2023 Netmera Research.
 *
 * @author Initial Code
 */
public class FNetmeraCouponObject {
    static List<HashMap<String, Object>> mapCouponObjects(List<NMCouponDetail> couponObjects) {
        List<HashMap<String, Object>> couponObjectList = new ArrayList<>();
        for (NMCouponDetail coupon : couponObjects) {
            couponObjectList.add(getCouponObjectMap(coupon));
        }
        return couponObjectList;
    }

    private static HashMap<String, Object> getCouponObjectMap(NMCouponDetail coupon) {
        HashMap<String, Object> map = new HashMap<>();
        map.put("couponId", coupon.getCouponId());
        map.put("name", coupon.getName());
        map.put("code", coupon.getCode());
        map.put("assignDate", coupon.getAssignDate());
        map.put("expireDate", coupon.getExpireDate());

        return map;
    }
}
